ExceptionTestCaseTest
Keywords: junit.tests.extensions.ExceptionTestCaseTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.extensions
Class ExceptionTestCaseTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.tests.extensions.ExceptionTestCaseTest

All Implemented Interfaces:
  Test

    public class ExceptionTestCaseTest

extends TestCase

Nested Class Summary
`static class` | `ExceptionTestCaseTest.ThrowExceptionTestCase`
`static class` | `ExceptionTestCaseTest.ThrowNoExceptionTestCase`
`static class` | `ExceptionTestCaseTest.ThrowRuntimeExceptionTestCase`

Constructor Summary
`ExceptionTestCaseTest()`

Method Summary
`void` | `testExceptionSubclass()`
`void` | `testExceptionTest()`
`void` | `testFailure()`
`void` | `testNoException()`
`void` | `testWrongException()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExceptionTestCaseTest

    public ExceptionTestCaseTest()

Method Detail

### testExceptionSubclass

    public void testExceptionSubclass()

### testExceptionTest

    public void testExceptionTest()

### testFailure

    public void testFailure()

### testNoException

    public void testNoException()

### testWrongException

    public void testWrongException()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD